/*
 * Copyright (C) 2003  Vizi Gabor (vizi@csucs.net)
 *
 * Ez az adatallomany a reformat program forraskodjanak resze.
 *
 * A program hasznalata, masolasa, terjesztese maganszemely 
 * bevetelt nem eredmenyezo celjara az eredeti forras, 
 * a szerzoi jogi megjegyzes es a hasznalati feltetelek 
 * feltuntetesevel es valtozatlanul hagyasaval, szabadon lehetseges. 
 * A program minden garancia nelkul kerul kozreadasra, a program
 * mukodesebol fakado osszes kockazat a felhasznalot terheli. 
 */
#include "typedef.h"
#ifndef INCLUDED_COMMANDLINE_TYPES
#define INCLUDED_COMMANDLINE_TYPES

typedef struct cline
{
    char * nev;
    int argc;
    int (* func)();
} t_cline;

#endif

#ifndef JUST_NEED_TYPES
#ifndef INCLUDED_COMMANDLINE_PROTOS
#define INCLUDED_COMMANDLINE_PROTOS
#endif
extern int read_commandline(int argc, char ** argv);
extern int do_help (char * progname);
extern int do_config (char * progname, char * conffile);
extern int do_set(char * progname, char * setting);
extern int do_output (char * progname, char * out);
extern int do_input (char * progname, char * out);
extern int do_version (char * progname);
extern int do_quiet(char * progname);
extern int do_pdirconf(char * progname);
extern int do_psziernyo(char * progname);
#ifdef WIN32
extern int do_nopause(char * progname);
#endif
#endif
