/*
 * Copyright (C) 2003  Vizi Gabor (vizi@csucs.net)
 *
 * Ez az adatallomany a reformat program forraskodjanak resze.
 *
 * A program hasznalata, masolasa, terjesztese maganszemely 
 * bevetelt nem eredmenyezo celjara az eredeti forras, 
 * a szerzoi jogi megjegyzes es a hasznalati feltetelek 
 * feltuntetesevel es valtozatlanul hagyasaval, szabadon lehetseges. 
 * A program minden garancia nelkul kerul kozreadasra, a program
 * mukodesebol fakado osszes kockazat a felhasznalot terheli. 
 */
#include "typedef.h"
#ifndef INCLUDED_COMPAT_TYPES
#define INCLUDED_COMPAT_TYPES

#if !defined(_TIMEVAL_DEFINED) &&  !defined(_STRUCT_TIMEVAL)
# ifndef _TIMEVAL_DEFINED
#  define _TIMEVAL_DEFINED
# endif
# ifndef _STRUCT_TIMEVAL
#  define _STRUCT_TIMEVAL
# endif
struct timeval {
    long    tv_sec;
    long    tv_usec;
};
#endif

#endif

#ifndef JUST_NEED_TYPES
#ifndef INCLUDED_COMPAT_PROTOS

#ifndef HAVE_STRCHR
# ifdef HAVE_INDEX
#  define strchr index
# else
#  error "Nincs sem strchr() sem index() function..."
# endif
#endif
#ifndef HAVE_STRRCHR
# ifdef HAVE_RINDEX
#  define strrchr rindex
# else
#  error "Nincs sem strrchr() sem rindex() function..."
# endif
#endif

#ifndef HAVE_STRSTR
# ifdef HAVE_MEMCMP
#undef strstr
extern char * strstr(const char * s1,const char * s2);
# else
#  error "Nincs strstr() function..."
#endif
#endif
#ifndef HAVE_STRDUP
#undef strdup
extern char * strdup(char const * str);
#endif

#define INCLUDED_COMPAT_PROTOS
#endif
#endif
