/*
 * Copyright (C) 2003  Vizi Gabor (vizi@csucs.net)
 *
 * Ez az adatallomany a reformat program forraskodjanak resze.
 *
 * A program hasznalata, masolasa, terjesztese maganszemely 
 * bevetelt nem eredmenyezo celjara az eredeti forras, 
 * a szerzoi jogi megjegyzes es a hasznalati feltetelek 
 * feltuntetesevel es valtozatlanul hagyasaval, szabadon lehetseges. 
 * A program minden garancia nelkul kerul kozreadasra, a program
 * mukodesebol fakado osszes kockazat a felhasznalot terheli. 
 */
#include "config.h"
#ifdef DEBUG
#ifndef INCLUDED_DEBUG_TYPES
#define INCLUDED_DEBUG_TYPES


#endif

#ifndef JUST_NEED_TYPES
#ifndef INCLUDED_DEBUG_PROTOS
extern int debug_open(char * filename);
extern int debug_close(void);
extern int debug(t_fordulo * fordulo, char * line,...);
extern int gdb_stop(void);
#define INCLUDED_DEBUG_PROTOS
#endif
#endif
#else /* DEBUG */
#ifndef JUST_NEED_TYPES
#ifndef INCLUDED_DEBUG_PROTOS
extern int gdb_stop(void);
#define INCLUDED_DEBUG_PROTOS
#endif
#endif
#endif /* DEBUG */
