/*
 * Copyright (C) 2003  Vizi Gabor (vizi@csucs.net)
 *
 * Ez az adatallomany a reformat program forraskodjanak resze.
 *
 * A program hasznalata, masolasa, terjesztese maganszemely 
 * bevetelt nem eredmenyezo celjara az eredeti forras, 
 * a szerzoi jogi megjegyzes es a hasznalati feltetelek 
 * feltuntetesevel es valtozatlanul hagyasaval, szabadon lehetseges. 
 * A program minden garancia nelkul kerul kozreadasra, a program
 * mukodesebol fakado osszes kockazat a felhasznalot terheli. 
 */
#include "typedef.h"
#ifndef INCLUDED_INIT_TYPES
#define INCLUDED_INIT_TYPES
#endif

typedef struct initfiles
{
    char * name;
    char * file;
    int (* func)();
    int autoload;
    int loaded;
} t_initfiles;

#ifndef JUST_NEED_TYPES
#ifndef INCLUDED_INIT_PROTOS
extern int init_reformat_cfg(void);
extern int init_karakter_cfg(int ksz);
extern int init_program(void);
extern int deinit_program(void);
extern int init_txtfiles(void);
extern int load_txtfiles(char * name);
extern int deinit_txtfiles(void);
#define INCLUDED_INIT_PROTOS
#endif
#endif
