/*
 * Copyright (C) 2003  Vizi Gabor (vizi@csucs.net)
 *
 * Ez az adatallomany a reformat program forraskodjanak resze.
 *
 * A program hasznalata, masolasa, terjesztese maganszemely 
 * bevetelt nem eredmenyezo celjara az eredeti forras, 
 * a szerzoi jogi megjegyzes es a hasznalati feltetelek 
 * feltuntetesevel es valtozatlanul hagyasaval, szabadon lehetseges. 
 * A program minden garancia nelkul kerul kozreadasra, a program
 * mukodesebol fakado osszes kockazat a felhasznalot terheli. 
 */
#include "typedef.h"
#ifndef INCLUDED_OUTPUT_TYPES
#define INCLUDED_OUTPUT_TYPES

typedef struct output
{
    char * name;
    FILE * file;
} t_output;

#endif

#ifndef JUST_NEED_TYPES
#ifndef INCLUDED_OUTPUT_PROTOS
extern int kiir(t_fordulo * fordulo, char *line, ...);
extern int output(t_fordulo * fordulo, char *line, ...);
extern int output_open(t_fordulo * fordulo);
extern int output_close(t_fordulo * fordulo);
extern unsigned long int get_fpn(void);
extern unsigned long int get_fpc(void);
#define INCLUDED_OUTPUT_PROTOS
#endif
#endif
