/*
 * Copyright (C) 2003  Vizi Gabor (vizi@csucs.net)
 *
 * Ez az adatallomany a reformat program forraskodjanak resze.
 *
 * A program hasznalata, masolasa, terjesztese maganszemely 
 * bevetelt nem eredmenyezo celjara az eredeti forras, 
 * a szerzoi jogi megjegyzes es a hasznalati feltetelek 
 * feltuntetesevel es valtozatlanul hagyasaval, szabadon lehetseges. 
 * A program minden garancia nelkul kerul kozreadasra, a program
 * mukodesebol fakado osszes kockazat a felhasznalot terheli. 
 */
#include "typedef.h"
#ifndef INCLUDED_PHUA_TYPES
#define INCLUDED_PHUA_TYPES

#endif

typedef struct phua
{
    char * feladat;
    char * megfejtes;
    int jlk;
    unsigned long kod;
    unsigned long flen;
    struct phua * next;
} t_phua;

#ifndef JUST_NEED_TYPES
#ifndef INCLUDED_PHUA_PROTOS
#define INCLUDED_PHUA_PROTOS
extern t_phua * get_phua_head(void);
extern t_phua * phua_create(char * feladat, char * megfejtes);
extern int phua_list_add_phua(char * feladat, char * megfejtes);
extern int phua_list_destroy(void);
extern int init_phua(char * filename);
extern char * phua_megfejt(char * feladat, int * jlk);
#endif
#endif
