/*
 * Copyright (C) 2003  Vizi Gabor (vizi@csucs.net)
 *
 * Ez az adatallomany a reformat program forraskodjanak resze.
 *
 * A program hasznalata, masolasa, terjesztese maganszemely 
 * bevetelt nem eredmenyezo celjara az eredeti forras, 
 * a szerzoi jogi megjegyzes es a hasznalati feltetelek 
 * feltuntetesevel es valtozatlanul hagyasaval, szabadon lehetseges. 
 * A program minden garancia nelkul kerul kozreadasra, a program
 * mukodesebol fakado osszes kockazat a felhasznalot terheli. 
 */
#include "typedef.h"
#ifndef INCLUDED_SEBZES_TYPES
#define INCLUDED_SEBZES_TYPES

typedef struct sebzes
{
    int darab;
    int ertek;
    int bonusz;
    float sebzes;
    float fullsebzes;
} t_sebzes;

#endif

#ifndef JUST_NEED_TYPES
#ifndef INCLUDED_SEBZES_PROTOS
extern t_sebzes * sebzes_create(char * sebf);
extern float sebzes_calculate(t_sebzes sebzes);
#define INCLUDED_SEBZES_PROTOS
#endif
#endif
